Skip to main content
GET
/
v1
/
webhooks
/
deliveries
List webhook deliveries
curl --request GET \
  --url http://127.0.0.1:8787/v1/webhooks/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "event_id": "<string>",
      "webhook_endpoint_id": "<string>",
      "webhook_encryption_key_id": "<string>",
      "attempt_count": 123,
      "next_attempt_at": "<string>",
      "payload_expires_at": "<string>",
      "payload_scrubbed_at": "<string>",
      "last_status_code": 123,
      "last_attempt_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "error": null,
  "pagination": {
    "limit": 10,
    "has_more": false,
    "next_cursor": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter webhook deliveries by status.

Available options:
pending,
delivering,
succeeded,
failed
endpoint_id
string

Filter webhook deliveries by webhook endpoint ID.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
event_id
string

Filter webhook deliveries by event ID.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
limit
integer

Maximum number of webhook deliveries to return. Defaults to 10 if not specified.

Required range: 1 <= x <= 100
starting_after
string

Cursor of the last item from the previous page. When provided, the next page of results will be returned.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$

Response

Retrieve webhook deliveries for the organization with optional filters and cursor-based pagination.

data
object[]
required
error
null
required
pagination
object
required